// 文件编码: GB18030
/*
 * status_led.h
 *
 *  Created on: 2025年3月19日
 *      Author: LHYe200
 */

#ifndef CODE_STATUS_LED_H_
#define CODE_STATUS_LED_H_

#include "zf_common_headfile.h"

typedef enum // 枚举LED
{
    STATUS_LED_1 = P13_0,  //GREEN
    STATUS_LED_2 = P13_1,  //BLUE
    STATUS_LED_3 = P13_2,  //OLIVEDRAB
    STATUS_LED_4 = P13_3,  //YELLOW
    STATUS_LED_5 = P11_2,  //ORANGE
    STATUS_LED_6 = P11_3,  //PERPLE
    STATUS_LED_7 = P11_6,  //WHITE
    STATUS_LED_8 = P11_9,  //WARMWHITE
    STATUS_LED_9 = P10_1,  //ICEBLUE
    STATUS_LED_10 = P10_2,  //PINK
}status_led_index_enum;


void Status_LED_Init(void);
void Flash_LED(status_led_index_enum led);
void ON_LED(status_led_index_enum led);
void OFF_LED(status_led_index_enum led);


#endif /* CODE_STATUS_LED_H_ */
